﻿using Insort.Presentation.UI.Dialogs;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfTouchIssueTest.Views;

namespace WpfTouchIssueTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            viewLogInfo.Init();
        }

        public Panel RootLayout
        {
            get { return rootLayout; }
        }

        private void BtnShowDialog_Click(object sender, RoutedEventArgs e)
        {            
            string message = "This is a Message";
            string possibleCause = "This are the possible cause:" + Environment.NewLine + "1. xxx";
            string correction = "This is the correction:" + Environment.NewLine + "1. AAAA";

            AlarmInfoView view = new AlarmInfoView();
            view.Init(AlarmStateSeverity.Error, message, possibleCause, correction);

            var buttons = new List<DialogButton>();

            buttons.Add(new DialogButton("Close", DialogButtonPosition.Right, null, DialogButtonBehaviour.IsCancel));

            var main = Application.Current.MainWindow as MainWindow;
            ShellDialog dlg = new ShellDialog("AlarmInfo_Title", view, buttons, main.RootLayout);
            dlg.SetSize(500, 700);
            dlg.ResizeMode = ResizeMode.CanResize;
            dlg.HasResizeButtons = false;
            dlg.ShowDialog(main);
            
        }
    }
}
