﻿using Infragistics.Windows.DataPresenter;
using Insort.Presentation.UI.Dialogs;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfTouchIssueTest.Views
{
    /// <summary>
    /// Interaction logic for SystemStateLogInfoView.xaml
    /// </summary>
    public partial class SystemStateLogInfoView : UserControl
    {
        private SystemStateLogInfoViewModel _viewModel;

        public SystemStateLogInfoView()
        {
            InitializeComponent();
        }

        public void Init()
        {
            _viewModel = new SystemStateLogInfoViewModelDesign();

            DataContext = _viewModel;
        }

        private void gridLog_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            DependencyObject source = e.OriginalSource as DependencyObject;

            if (source == null)
                return;

            DataRecordPresenter drp = Infragistics.Windows.Utilities.GetAncestorFromType(source, typeof(DataRecordPresenter), true) as DataRecordPresenter;

            if (drp == null)
                return;

            if (drp.DataRecord != null)
            {
                string possibleCause = "";
                string correction = "";
                SystemStateLogItem logItem = drp.DataRecord.DataItem as SystemStateLogItem;

                if (logItem.Severity == AlarmStateSeverity.Info)
                {
                    WpfMessageBox.ShowInfo(logItem.Message);
                }
                else
                {
                    //switch (logItem.Category)
                    //{
                    //    case SystemStateLogCategory.Engine:
                    //        GlobalCustomLang.GetMessageHelpENG(logItem.MessageId, out possibleCause, out correction);
                    //        break;
                    //    case SystemStateLogCategory.MachineControl:
                    //        GlobalCustomLang.GetMessageHelpMAC(logItem.MessageId, out possibleCause, out correction);
                    //        break;
                    //}

                    AlarmInfoView view = new AlarmInfoView();
                    view.Init(logItem.Severity, logItem.Message, possibleCause, correction);

                    var buttons = new List<DialogButton>();

                    buttons.Add(new DialogButton("Close", DialogButtonPosition.Right, null, DialogButtonBehaviour.IsCancel));

                    var main = Application.Current.MainWindow as MainWindow;
                    ShellDialog dlg = new ShellDialog("AlarmInfo_Title", view, buttons, main.RootLayout);
                    dlg.SetSize(500, 700);
                    dlg.ResizeMode = ResizeMode.CanResize;
                    dlg.HasResizeButtons = false;
                    dlg.ShowDialog(main);
                }
            }
        }

        private void HistoryButton_Click(object sender, RoutedEventArgs e)
        {

        }

    }
}
